vCenter

 View Only
  • 1.  Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Posted Nov 17, 2022 04:08 PM

    Hello,

    as in topic. I got fresh installed esxi 8.0 on my laptop with VMWare workstation pro 16.2.4 . I want to convert my old linux machine to VM. When I start converting on 1%  I'm getting error " 

    FAILED: A specified parameter was not correct: ticketType". In vmware-converter-server-5.log I can see this error but has no idea how to deal with it.

    2022-11-17T16:44:30.132+01:00 info vmware-converter-server[04652] [Originator@6876 sub=Default] [task,379] [task-8] -- ERROR -- Convert: vmodl.fault.InvalidArgument
    --> (vmodl.fault.InvalidArgument) {
    --> faultCause = (vmodl.MethodFault) null,
    --> invalidProperty = "ticketType",
    --> msg = "Received SOAP response fault from [<cs p:063e9db8, TCP:192.168.41.41:443>]: acquireTicket
    --> A specified parameter was not correct: ticketType"
    --> }

    I attached all log files exported from Vcenter Converter.

    I do not have ssl certficate for my machines. I already in converter config files set all <UseSSL> to false.

    Edit: Now i tried to move everything to be in one network. Error is still the same. Also in Converter in log hghlights the last row  before error is

    Connecting the Converter helper ISO image to the destination virtual machine.

    I'm out of ideas what to try next. 

    Edit: Right now i'm still getting an error but in ESXI the machine is creating but without resources. In esxi I can see error: Failed - Memory hot plug is not supported for this virtual machine.

    Attachment(s)



  • 2.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Broadcom Employee
    Posted Nov 18, 2022 01:44 PM

    Hello

    After a look at the logs, it seems you are using ESXi 8.0. It also seems Converter uses some deprecated functionality that has been removed in 8.0.

    Converter 6.3 supports up to vSphere 7.*, so this is not really a bug. If my analysis proves correct, this will be fixed in the next release. Unfortunately, as of this moment, I can't think of a workaround except using an older vSphere destination. E.g. if you can install temporarily an ESXi 7.0 somewhere and then move the converted VM?

    Regards,

    Plamen



  • 3.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Broadcom Employee
    Posted Nov 18, 2022 06:55 PM

    Upon more careful look, there is a workaround

    I have managed to reproduce the issue. The reason is that in ESXi 8.0 the usage of VirtualMachineTicketType.device and VirtualMachineTicketType.mks is disabled. Instead VirtualMachineTicketType.webDevice and VirtualMachineTicketType.webMks should be used respectively.
    Fortunately there is an option to allow the old behaviour. You need to set "allow_authd_ticket" to "true" in hostd configuration. Folllow this KB  about configstorecli. Use the following snippet to update the configuration properties:

    {
       "plugins": {
          "vmsvc": {
             "allow_authd_ticket": true
          }
       }
    }

    HTH,
    Plamen



  • 4.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Posted Jan 21, 2023 06:59 AM

    Created an account just to say this worked perfectly. Thank you.

     

    Noting the steps from that link in case it breaks:

    (First SSH to your host)

    Steps to configure the settings:

    1. Run the command to create a temporary JSON file:
      /bin/configstorecli config current get -c esx -g services -k hostd -outfile tmp.json
     
    1.  Run the command to edit the file:
      /bin/vi tmp.json
     
    1. Run the command to apply the file to the Database:
      /bin/configstorecli config current set -c esx -g services -k hostd -infile tmp.json

    2. Locate the section, and add the new line to the config (in addition to what is already there)

      {
         "plugins": {
            "vmsvc": {
               "allow_authd_ticket": true,
            }
         }
      }

    3. Run the command to restart hostd service:
      $ /etc/init.d/hostd restart

    Then try the conversion again.



  • 5.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Broadcom Employee
    Posted Jan 22, 2023 08:59 PM

    Thanks for the kind words



  • 6.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Posted May 16, 2023 10:58 AM

    Thank you very much... saved my training and my day



  • 7.  RE: Can't convert linux machine. FAILED: A specified parameter was not correct: ticketType

    Broadcom Employee
    Posted May 16, 2023 11:22 AM

    There is Converter 6.4 already where this issue should have been fixed.